precision mediump float;

uniform sampler2D tex0;

uniform float blurAmnt;
uniform float glowIntensity;
uniform float onePixOffset;

varying vec2 texCoordVarying;

void main()
{
    vec4 color;
    color.xyzw = vec4(0,0,0,0);

	color += 0.25 * texture2D(tex0, texCoordVarying + vec2(0.0, blurAmnt * 3.0 * onePixOffset));
	color += 0.50 * texture2D(tex0, texCoordVarying + vec2(0.0, blurAmnt * 2.0 * onePixOffset));
	color += 0.80 * texture2D(tex0, texCoordVarying + vec2(0.0, blurAmnt * 1.0 * onePixOffset));

	color += 0.80 * texture2D(tex0, texCoordVarying);

    color += 0.80 * texture2D(tex0, texCoordVarying + vec2(0.0, blurAmnt * -1.0 * onePixOffset));
	color += 0.40 * texture2D(tex0, texCoordVarying + vec2(0.0, blurAmnt * -2.0 * onePixOffset));
	color += 0.20 * texture2D(tex0, texCoordVarying + vec2(0.0, blurAmnt * -3.0 * onePixOffset));

    color *= 0.2666 * glowIntensity;
    color.a = 1.0;

    gl_FragColor = color;
}
